%global pypi_name alabaster
%global srcname sphinx-theme-%{pypi_name}

Name:           python-%{srcname}
Version:        0.7.8
Release:        %mkrel 1
Summary:        Configurable sidebar-enabled Sphinx theme
Group:          Development/Python

License:        BSD
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://pypi.io/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  pythonegg(2)(setuptools)

%description
This theme is a modified "Kr" Sphinx theme from @kennethreitz (especially as
used in his Requests project), which was itself originally based on @mitsuhiko's
theme used for Flask & related projects.


%package -n     python3-%{srcname}
Summary:        Configurable sidebar-enabled Sphinx theme
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pythonegg(3)(setuptools)
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This theme is a modified "Kr" Sphinx theme from @kennethreitz (especially as
used in his Requests project), which was itself originally based on @mitsuhiko's
theme used for Flask & related projects.


%prep
%setup -qn %{pypi_name}-%{version}

# Remove bundled eggs
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{pypi_name}-%{version}-py%{python_version}.egg-info/
%{python2_sitelib}/%{pypi_name}/

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/%{pypi_name}/


%changelog
* Fri May 06 2016 philippem <philippem> 0.7.8-1.mga6
+ Revision: 1009699
- update to 0.7.8

* Fri Apr 29 2016 philippem <philippem> 0.7.7-1.mga6
+ Revision: 1007846
- update to 0.7.7
- update to 0.7.7

* Fri Feb 19 2016 umeabot <umeabot> 0.7.6-3.mga6
+ Revision: 970518
- Mageia 6 Mass Rebuild

  + philippem <philippem>
    - use new macros

* Wed Oct 07 2015 tv <tv> 0.7.6-2.mga6
+ Revision: 887100
- rebuild for python 3.5

* Thu Aug 20 2015 joequant <joequant> 0.7.6-1.mga6
+ Revision: 866895
- add group
- imported package python-sphinx-theme-alabaster

